Bug 114013 - [build] [patch] add WITHOUT_USB to allow to compile out a lot of USB stuff
Summary: [build] [patch] add WITHOUT_USB to allow to compile out a lot of USB stuff
Status: In Progress
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: 7.0-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-25 13:50 UTC by Cedric GROSS
Modified: 2018-02-18 07:32 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.72 KB, patch)
2007-06-25 13:50 UTC, Cedric GROSS
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cedric GROSS 2007-06-25 13:50:02 UTC
WITHOUT_USB set in src.conf allow to compile usb kernel modules (umass,umodem,uscanner etc...)

Fix: Change src/sys/modules/Makefile to doesn't include usb related module or device.

Patch also apply on src/tools/build/mk/OptionalObsoleteFiles.inc for make delete-old* feature.

Patch attached with submission follows:
How-To-Repeat: Set WITHOUT_USB to yes, make buildworld
Comment 1 Remko Lodder freebsd_committer 2007-06-25 20:06:25 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-usb

USB related.
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:42 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 3 Alex Kozlov freebsd_committer 2018-02-18 07:32:28 UTC
OptionalObsoleteFiles.inc was fixed in FreeBSD 12.